> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neosantara.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# TypeSafe System One compatible evaluation

> TypeSafe System One wire format (POST /v1/systemone). Point typesafe_sdk or dspy.experimental.TypeSafe at the Neosantara base URL to run Jev with a Neosantara API key.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/systemone
openapi: 3.1.0
info:
  title: Neosantara AI API
  description: OpenAI-compatible LLM Gateway
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz
    description: Neosantara Production Gateway
security:
  - bearerAuth: []
paths:
  /v1/systemone:
    post:
      tags:
        - Evaluation
      summary: TypeSafe System One compatible evaluation
      description: >-
        TypeSafe System One wire format (POST /v1/systemone). Point typesafe_sdk
        or dspy.experimental.TypeSafe at the Neosantara base URL to run Jev with
        a Neosantara API key.
      operationId: postV1Systemone
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                  minLength: 1
                  default: jev
                state:
                  anyOf:
                    - type: string
                    - type: object
                      additionalProperties: {}
                    - type: array
                      items: {}
                questions:
                  type: object
                  additionalProperties:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            const: boolean
                          instructions:
                            anyOf:
                              - type: string
                                minLength: 1
                              - type: object
                                additionalProperties: {}
                              - type: array
                                items: {}
                              - type: 'null'
                          criteria:
                            type:
                              - object
                              - 'null'
                            properties:
                              'true':
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: array
                                    items: {}
                                  - type: 'null'
                              'false':
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: array
                                    items: {}
                                  - type: 'null'
                            additionalProperties: false
                        required:
                          - type
                        additionalProperties: true
                      - type: object
                        properties:
                          type:
                            type: string
                            const: noul
                          instructions:
                            anyOf:
                              - type: string
                                minLength: 1
                              - type: object
                                additionalProperties: {}
                              - type: array
                                items: {}
                              - type: 'null'
                          criteria:
                            type:
                              - object
                              - 'null'
                            properties:
                              'true':
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: array
                                    items: {}
                                  - type: 'null'
                              'false':
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: array
                                    items: {}
                                  - type: 'null'
                            additionalProperties: false
                        required:
                          - type
                        additionalProperties: true
                      - type: object
                        properties:
                          type:
                            type: string
                            const: choice
                          instructions:
                            anyOf:
                              - type: string
                                minLength: 1
                              - type: object
                                additionalProperties: {}
                              - type: array
                                items: {}
                              - type: 'null'
                          options:
                            type: array
                            items:
                              type: string
                          criteria:
                            anyOf:
                              - type: object
                                additionalProperties:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      additionalProperties: {}
                                    - type: array
                                      items: {}
                                    - type: 'null'
                              - type: array
                                items: {}
                        required:
                          - type
                        additionalProperties: true
                      - type: object
                        properties:
                          type:
                            type: string
                            const: score
                          instructions:
                            anyOf:
                              - type: string
                                minLength: 1
                              - type: object
                                additionalProperties: {}
                              - type: array
                                items: {}
                              - type: 'null'
                          criteria:
                            anyOf:
                              - type: array
                                items:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      additionalProperties: {}
                                    - type: array
                                      items: {}
                                minItems: 2
                              - type: object
                                additionalProperties: {}
                          scoring_rubric:
                            type: object
                            additionalProperties: {}
                        required:
                          - type
                        additionalProperties: true
              required:
                - state
                - questions
              additionalProperties: true
      responses:
        '200':
          description: Successful System One result
          content:
            application/json:
              schema:
                type: object
                properties:
                  model:
                    type: string
                  answers:
                    type: object
                    additionalProperties: {}
                  usage:
                    type: object
                    properties:
                      input_tokens:
                        type: integer
                      output_tokens:
                        type: integer
                    required:
                      - input_tokens
                      - output_tokens
                required:
                  - model
                  - answers
                  - usage
        '400':
          description: Invalid request payload or question format
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
        '404':
          description: Model not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
        '503':
          description: Upstream evaluation service unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Evaluate questions against shared state](/api-reference/evaluation/evaluate-questions-against-shared-state.md)
- [Program Decision ala Jev dengan DSPy](/id/guides/dspy-decision-programs.md)
- [Pydantic AI](/id/integrations/pydantic-ai.md)
- [Ringkasan Integrasi](/id/integrations/overview.md)
- [Dokumentasi Neosantara](/id/index.md)
